FROM ubuntu:20.04
ENV DEBIAN_FRONTEND noninteractive

RUN echo "Support Time Zone" \
    && set -x \
    && apt-get dist-upgrade  \
    && apt-get update \
    && apt-get install -y tzdata

# --- put file ---
COPY ./component-interface /opt/cscec-8bur-vms/component-interface
COPY ./supplement-python /opt/cscec-8bur-vms/supplement-python

# --- clean ---
RUN rm -rf /opt/cscec-8bur-vms/component-interface/*Dockerfile
RUN rm -rf /opt/cscec-8bur-vms/component-interface/*spec
RUN rm -rf /opt/cscec-8bur-vms/component-interface/*md
RUN rm -rf /opt/cscec-8bur-vms/component-interface/*sh

# --- run file ---
WORKDIR /opt/cscec-8bur-vms/component-interface
CMD ["/bin/bash", "-c", "./main"]