# 用于pyinstaller打包用的配置文件
# -*- mode: python ; coding: utf-8 -*-
block_cipher = None
a = Analysis(
    [
        'main.py',
    ],
    pathex = [

        '../supplement-python',

    ],
    binaries = [

        # find / -name "*_dl.cpython-36m-aarch64-linux-gnu.so*"
        ('/usr/lib/aarch64-linux-gnu/libxcb.so.1', '.'),
        ('/usr/lib/aarch64-linux-gnu/libdrm.so.2', '.'),

    ],
    datas = [

    ],
    hiddenimports = [

        # --- for component ---
        'actions',
        'api',

        # --- for supplement ---
        'libraries.base_original',
        'libraries.base_external.loop_by_aps',
        'libraries.base_external.camera_by_cv2',
        'libraries.base_external.data_by_numpy',
        'clients.l4_ssh_by_paramiko',
        'clients.db_mongo',
        'clients.db_redis',
        'clients.db_influx',
        'apis.local.api',
        'decorators',

        # --- for middleware ---
        'uvicorn.logging',
        'uvicorn.loops',
        'uvicorn.loops.auto',
        'uvicorn.protocols',
        'uvicorn.protocols.http',
        'uvicorn.protocols.http.auto',
        'uvicorn.protocols.websockets',
        'uvicorn.protocols.websockets.auto',
        'uvicorn.lifespan',
        'uvicorn.lifespan.on',
        'redis',
        'pymongo',
        'paramiko',
        'apscheduler',

    ],
    hookspath = [],
    runtime_hooks = [],
    excludes = [],
    win_no_prefer_redirects = False,
    win_private_assemblies = False,
    cipher = block_cipher,
    noarchive = False,
)
pyz = PYZ(a.pure, a.zipped_data, cipher=block_cipher)
exe = EXE(
    pyz,
    a.scripts,
    a.binaries,
    a.zipfiles,
    a.datas,
    [],
    name = 'main',  # <可执行文件名>
    debug = False,
    bootloader_ignore_signals = False,
    strip = False,
    upx = True,
    upx_exclude = [],
    runtime_tmpdir = None,
    console = True,
)
